#import <UIKit/UIKit.h>
#import <string>
#import "iPadInterface.h"
#import "FavoritesBarViewController.h"

typedef struct vis {
	double brightness;
	double contrast;
	double gamma;
	double magnification;
	int horDispVal;
	int vertDispVal;
	mtsInt2 dispVal;
} visStruct;

extern iPadInterface *iPadCom;
extern visStruct visConsole;

@protocol SubstitutableDetailViewController
- (void)showRootPopoverButtonItem:(UIBarButtonItem *)barButtonItem;
- (void)invalidateRootPopoverButtonItem:(UIBarButtonItem *)barButtonItem;
@end

@interface RootViewController : UITableViewController <UISplitViewControllerDelegate> {
	
	UISplitViewController *splitViewController;
    UIPopoverController *popoverController;
    UIBarButtonItem *rootPopoverButtonItem;
}

@property (nonatomic, assign) IBOutlet UISplitViewController *splitViewController;
@property (nonatomic, retain) UIPopoverController *popoverController;
@property (nonatomic, retain) UIBarButtonItem *rootPopoverButtonItem;

@end