#import <UIKit/UIKit.h>
#import "RootViewController.h"

@interface VisualDetailViewController : UIViewController <SubstitutableDetailViewController, UIScrollViewDelegate> {

	UIView			*favView;
	UIScrollView	*scrollView;
	UIToolbar		*toolbar;
	UISlider		*sliderBrightness;
	UILabel			*valueBrightness;
	UISlider		*sliderContrast;
	UILabel			*valueContrast;
	UISlider		*sliderGamma;
	UILabel			*valueGamma;
	UISlider		*sliderMagnification;
	UILabel			*valueMagnification;
	UIButton		*buttonminusHorDisp;
	UIButton		*buttonplusHorDisp;
	UILabel			*valueHorDisp;
	UILabel			*valueVertDisp;
	UIButton		*buttonminusVertDisp;
	UIButton		*buttonplusVertDisp;
	UIButton		*buttonenableAutoExposure;
	UIButton		*buttondisableAutoExposure;
	UIButton		*buttonenableBrightnessControl;
	UIButton		*buttondisableBrightnessControl;
	UIButton		*buttonenableLightCompounding;
	UIButton		*buttondisableLightCompounding;
	UIButton		*buttonenableImageMagnification;
	UIButton		*buttondisableImageMagnification;
	UIButton		*buttonenableBackgroundTracking;
	UIButton		*buttondisableBackgroundTracking;
	UIButton		*buttonresetBackgroundTracking;
	UIButton		*buttonenableAnnotations;
	UIButton		*buttondisableAnnotations;
	UIButton		*buttonenableVideoStatAnnotations;
	UIButton		*buttondisableVideoStatAnnotations;
	UIButton		*buttonstartRecording;
	UIButton		*buttonpauseRecording;
	UIButton		*buttonstartVideo;
	UIButton		*buttonstopVideo;
}

@property (nonatomic, retain) IBOutlet UIView		*favView;
@property (nonatomic, retain) IBOutlet UIScrollView	*scrollView;
@property (nonatomic, retain) IBOutlet UIToolbar	*toolbar;
@property (nonatomic, retain) IBOutlet UISlider		*sliderBrightness;
@property (nonatomic, retain) IBOutlet UILabel		*valueBrightness;
@property (nonatomic, retain) IBOutlet UISlider		*sliderContrast;
@property (nonatomic, retain) IBOutlet UILabel		*valueContrast;
@property (nonatomic, retain) IBOutlet UISlider		*sliderGamma;
@property (nonatomic, retain) IBOutlet UILabel		*valueGamma;
@property (nonatomic, retain) IBOutlet UISlider		*sliderMagnification;
@property (nonatomic, retain) IBOutlet UILabel		*valueMagnification;
@property (nonatomic, retain) IBOutlet UIButton		*buttonminusHorDisp;
@property (nonatomic, retain) IBOutlet UIButton		*buttonplusHorDisp;
@property (nonatomic, retain) IBOutlet UILabel		*valueHorDisp;
@property (nonatomic, retain) IBOutlet UILabel		*valueVertDisp;
@property (nonatomic, retain) IBOutlet UIButton		*buttonminusVertDisp;
@property (nonatomic, retain) IBOutlet UIButton		*buttonplusVertDisp;
@property (nonatomic, retain) IBOutlet UIButton		*buttonenableAutoExposure;
@property (nonatomic, retain) IBOutlet UIButton		*buttondisableAutoExposure;
@property (nonatomic, retain) IBOutlet UIButton		*buttonenableBrightnessControl;
@property (nonatomic, retain) IBOutlet UIButton		*buttondisableBrightnessControl;
@property (nonatomic, retain) IBOutlet UIButton		*buttonenableLightCompounding;
@property (nonatomic, retain) IBOutlet UIButton		*buttondisableLightCompounding;
@property (nonatomic, retain) IBOutlet UIButton		*buttonenableImageMagnification;
@property (nonatomic, retain) IBOutlet UIButton		*buttondisableImageMagnification;
@property (nonatomic, retain) IBOutlet UIButton		*buttonenableBackgroundTracking;
@property (nonatomic, retain) IBOutlet UIButton		*buttondisableBackgroundTracking;
@property (nonatomic, retain) IBOutlet UIButton		*buttonresetBackgroundTracking;
@property (nonatomic, retain) IBOutlet UIButton		*buttonenableAnnotations;
@property (nonatomic, retain) IBOutlet UIButton		*buttondisableAnnotations;
@property (nonatomic, retain) IBOutlet UIButton		*buttonenableVideoStatAnnotations;
@property (nonatomic, retain) IBOutlet UIButton		*buttondisableVideoStatAnnotations;
@property (nonatomic, retain) IBOutlet UIButton		*buttonstartRecording;
@property (nonatomic, retain) IBOutlet UIButton		*buttonpauseRecording;
@property (nonatomic, retain) IBOutlet UIButton		*buttonstartVideo;
@property (nonatomic, retain) IBOutlet UIButton		*buttonstopVideo;

-(IBAction)sliderBrightnessChanged:(id)sender;
-(IBAction)sliderContrastChanged:(id)sender;
-(IBAction)sliderGammaChanged:(id)sender;
-(IBAction)sliderMagnificationChanged:(id)sender;
-(IBAction)buttonminusHorDispPressed:(id)sender;
-(IBAction)buttonplusHorDispPressed:(id)sender;
-(IBAction)buttonminusVertDispPressed:(id)sender;
-(IBAction)buttonplusVertDispPressed:(id)sender;
-(IBAction)buttonenableAutoExposurePressed:(id)sender;
-(IBAction)buttondisableAutoExposurePressed:(id)sender;
-(IBAction)buttonenableBrightnessControlPressed:(id)sender;
-(IBAction)buttondisableBrightnessControlPressed:(id)sender;
-(IBAction)buttonenableLightCompoundingPressed:(id)sender;
-(IBAction)buttondisableLightCompoundingPressed:(id)sender;
-(IBAction)buttonenableImageMagnificationPressed:(id)sender;
-(IBAction)buttondisableImageMagnificationPressed:(id)sender;
-(IBAction)buttonenableBackgroundTrackingPressed:(id)sender;
-(IBAction)buttondisableBackgroundTrackingPressed:(id)sender;
-(IBAction)buttonresetBackgroundTrackingPressed:(id)sender;
-(IBAction)buttonenableAnnotationsPressed:(id)sender;
-(IBAction)buttondisableAnnotationsPressed:(id)sender;
-(IBAction)buttonenableVideoStatAnnotationsPressed:(id)sender;
-(IBAction)buttondisableVideoStatAnnotationsPressed:(id)sender;
-(IBAction)buttonstartRecordingPressed:(id)sender;
-(IBAction)buttonpauseRecordingPressed:(id)sender;
-(IBAction)buttonstartVideoPressed:(id)sender;
-(IBAction)buttonstopVideoPressed:(id)sender;

@end
